use NRT::Test;# qw( rq assertEqual);
use NRT::Helper;
#require NRT::Test ;
#require NRT::Helper;

package Batch;

sub new {
    my ($classe, %config) = @_;
    my $this = {};
    $classe = ref($classe) || $classe;
    bless ( $this, $classe );
    $this->{tester} = Test->new( %config );
    return $this;
}

sub test_rq_empty {
  my $this = shift;
  my $rq = $this->{tester}->get_code();  
  return $this->{tester}->assertEqual( $rq, "404 Not Found" );
}

sub run {
  my $this = shift;
  $this->test_rq_empty();
  $this->brief();
}

sub brief {
  my $this = shift;;
  print "\nResults :\n";
  Helper::printColor( "bright_green", "Tests succeed : ".$this->{tester}->{countSuccess}."\n" );
  Helper::printColor( "bright_red", "Tests failed  : ".$this->{tester}->{countFailure}."\n" );
}

return 1;
